Subject: Re: types of catnip
From: [email-masked] (C. Richter)
Date: Mon, 31 May 1993 23:21:11 GMT

[email-masked] (Cecilia Henningsson) writes:

> What does it look like? Teucrium is in the Labiate family, so I
> suppose that it looks a lot like mint. Unfortunately Chiltern
> doesn't have it. Would you know a source for _seeds_ of it? (It's
> legal and easy to import seeds of ornamental plants to Sweden.) I'm
> interested in seeds for Nepeta cataria var citriodorus, too.

I don't know anybody with seeds of Teucrium marum (cat thyme), but we
have plants, and we ship anywhere in the world, including Sweden.
Seeds of lemon catnip are available from us.

Conrad Richter
Richters 
Goodwood, ON 
L0C 1A0 Canada